    Broken power-law model.

brokenpowerlaw

It is for use when the independent axis is in Angstroms.

>>> create_model_component("brokenpowerlaw", "mdl")
>>> print(mdl)

Create a component of the brokenpowerlaw model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.refer frozen 5000 1.17549e-38 3.40282e+38 angstroms mdl.ampl thawed 1 1.17549e-38 3.40282e+38 angstroms mdl.index1 thawed 0.1 -10 10 mdl.index2 thawed -0.1 -10 10

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
refer
The reference point at which the amplitude is defined, with units of Angstroms.
ampl
The amplitude at the reference point.
index1
The index for the power law below the reference point.
index2
The index for the power law above the reference point.

Notes

The functional form of the model for points is:

f(x) = ampl * (x / refer)^index1 x < refer

= ampl * (x / refer)^index2 x >= refer

and for integrated data sets the low-edge of the grid is used.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023